package com.seatel.mobilehall.ui.home.adapter

import android.view.LayoutInflater
import android.view.ViewGroup
import com.seatel.mobilehall.R
import com.seatel.mobilehall.ui.base.adapter.BaseRecyclerAdapter
import com.seatel.mobilehall.ui.home.viewholder.BaseViewHolder
import com.seatel.mobilehall.ui.home.viewholder.PrefixBottomSheetViewHolder

/**
 *
 *
 * @author Noel
 * @version
 * @created on 22-Oct-18
 */
class PrefixBottomSheetAdapter(mData: List<String>) : BaseRecyclerAdapter<String>(mData) {
    override fun onCreateViewHolder(parent: ViewGroup, viewType: Int): BaseViewHolder<String> {
        return PrefixBottomSheetViewHolder(
            LayoutInflater.from(parent.context)
                .inflate(R.layout.layout_start_end_price_item, parent, false)
        )
    }
}